package com.yihu.wlyy.entity.follow;

import java.util.Date;

import javax.persistence.Entity;
import javax.persistence.Table;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.yihu.wlyy.entity.IdEntity;

/**
 * 问卷随访问题定义表
 * @author George
 *
 */
@Entity
@Table(name = "wlyy_followup_question")
public class FollowUpQuestion extends IdEntity {

	/**
	 * 
	 */
	private static final long serialVersionUID = 5769694811442591436L;

	// 问卷随访项标识
	private String code;
	// 医生标识，0代表为系统随访项
	private String doctor;
	// 标题
	private String title;
	// 选项json串用于查询
	private String content;
	// 随访项类型：1单选，2多选，3问答
	private int type;
	// 添加时间
	private Date czrq;
	// 作废标识：1正常，0作废
	private String del;

	public String getCode() {
		return code;
	}

	public void setCode(String code) {
		this.code = code;
	}

	public String getDoctor() {
		return doctor;
	}

	public void setDoctor(String doctor) {
		this.doctor = doctor;
	}

	public String getTitle() {
		return title;
	}

	public void setTitle(String title) {
		this.title = title;
	}

	public String getContent() {
		return content;
	}

	public void setContent(String content) {
		this.content = content;
	}

	public int getType() {
		return type;
	}

	public void setType(int type) {
		this.type = type;
	}

	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+08:00")
	public Date getCzrq() {
		return czrq;
	}

	public void setCzrq(Date czrq) {
		this.czrq = czrq;
	}

	public String getDel() {
		return del;
	}

	public void setDel(String del) {
		this.del = del;
	}

}
